Subject: RE: [Megaco] Basic doubt

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 6 Sep 2001 14:29:16 -0400

This brings us back to a point which someone made recently, and which I
failed to follow up at the time.  The requirement not to have more than one
outstanding Notify on a termination at any one time was deleted from where
it occurred in H.248.  However, it should be added back in at an appropriate
point in Annex D, since it is still needed for UDP operation.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: Thursday, September 06, 2001 5:56 AM
To: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Megaco] Basic doubt

Hi,

If the two messages do not have any common information between them(e.g.
context Ids) then there is no problem at all.
But if both the messages affect the same termination/context then there can
be a problem. Logically I am not able to visualize a case where an
application sends a two messages affecting the same context at the other end
of the network without waiting for the response of the first one. So I feel
that keeping track of these kind of messages falls in the domain of the
application rather than the stack.

Any comments....

Kishore

-----Original Message-----
From: ext Atanum [mailto:[email-masked]]
Sent: 06. September 2001 11:37
To: Madhu Babu Brahmanapally; megaco
Subject: Re: [Megaco] Basic doubt

Hi all,
I have some queries on this string..
Say a Megacomessage which has been sent gets delayed or some how get lost in
the network.
The Message sent after the former reaches safely and is handed over to the
application over the megaco stack.
Now the timer for the first message times out and the first message is send
again... Now who should keep track of
which of the message is first and which is second...

Should it be in some way that for each gateway a process will keep track of
the message sent to the gateway and the reply received from it
and then only the next message be sent.. or is there a way to find out which
message should be executed first and which one second...

Can somebody please clarify this...

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Chuong N. Nguyen" <[email-masked]>
Date: Fri, 07 Sep 2001 13:40:35 -0500

2. On a Termination, there should normally be at most one outstanding

      command (Add or Modify or Move), unless the outstanding commands
      are in the same transaction.  However, a Subtract command may be
      issued at any time.  In consequence, a Media Gateway may sometimes

      receive a Modify command that applies to a previously subtracted
      Termination.  Such commands should be ignored, and an error code
      should be returned.

   3. On a given Termination, there should normally be at most one
      outstanding Notify command at any time.

Tom

Does "outstanding" here mean that a MG can't send another Notify to MGC
until MG has
received a NotifyReply?

Thanks
Chuong

Tom-PT Taylor wrote:

>
>
> This brings us back to a point which someone made recently, and which
> I failed to follow up at the time.  The requirement not to have more
> than one outstanding Notify on a termination at any one time was
> deleted from where it occurred in H.248.  However, it should be added
> back in at an appropriate point in Annex D, since it is still needed
> for UDP operation.
>

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****